Get transfer learning block
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/transfer-learning/{transferLearningId} \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/transfer-learning/{transferLearningId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/transfer-learning/{transferLearningId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"transferLearningBlock": {
"id": 123,
"name": "<string>",
"dockerContainer": "<string>",
"dockerContainerManagedByEdgeImpulse": true,
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"implementationVersion": 123,
"isPublic": true,
"isPublicForDevices": [
"<string>"
],
"isPublicEnterpriseOnly": true,
"parameters": [
{}
],
"indRequiresGpu": true,
"sourceCodeAvailable": true,
"sourceCodeDownloadStaffOnly": true,
"indBlockNoLongerAvailable": true,
"createdByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
},
"lastUpdated": "2023-11-07T05:31:56Z",
"lastUpdatedByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
},
"userId": 123,
"userName": "<string>",
"enterpriseOnly": true,
"repositoryUrl": "<string>",
"customBlockRef": "<string>",
"customModelVariants": [
{
"key": "<string>",
"name": "<string>",
"inferencingEntrypoint": "<string>",
"profilingEntrypoint": "<string>",
"modelFiles": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>"
}
]
}
],
"blockNoLongerAvailableReason": "<string>"
},
"error": "<string>"
}Get transfer learning block
Gets a transfer learning block.
GET
/
api
/
organizations
/
{organizationId}
/
transfer-learning
/
{transferLearningId}
Get transfer learning block
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Transfer learning ID
Was this page helpful?
⌘I